#!/bin/bash

#SBATCH --job-name=logit_parallel          # Job name
#SBATCH --partition=dev_multiple           # Queue for the resource allocation
#SBATCH --nodes=4			                     # Number of nodes
#SBATCH --time=5:00                        # Wall-clock time limit  
#SBATCH --cpus-per-task=40                 # Number of CPUs required per MPI task
#SBATCH --ntasks-per-node=1                # Maximum count of tasks per node
#SBATCH --mail-type=ALL                    # Notify user by email when certain event types occur.

export OMP_NUM_THREADS=40
export VENVDIR=<path/to/your/venv>         # Export path to your virtual environment.
export PYDIR=<path/to/your/python/script>  # Export path to directory containing Python script.

# Set up modules.
module purge                               # Unload all currently loaded modules.
module load compiler/gnu/13.3              # Load required modules.
module load mpi/openmpi/4.1
module load devel/cuda/12.4
module load lib/hdf5/1.14.4-gnu-13.3-openmpi-4.1

source ${VENVDIR}/bin/activate # Activate your virtual environment.
mpirun python ${PYDIR}/logit_parallel.py --epochs 100 --batch_size 100
